# Uses of Class
org.eclipse.birt.report.model.api.elements.structures.ComputedColumn

Packages that use ComputedColumn
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.
org.eclipse.birt.report.model.api.util
Utility classes.
org.eclipse.birt.report.model.api.validators
Provides the validation classes for semantic check on multiple properties.

## Uses of ComputedColumn in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return ComputedColumn
Modifier and Type
Method
Description
`static ComputedColumn`
StructureFactory.`createComputedColumn()`
Creates an empty computed column structure.
`static ComputedColumn`
StructureFactory.`newComputedColumn(DesignElementHandle element, String newName)`
Creates a bound data column name with the unique column name.
Methods in org.eclipse.birt.report.model.api with parameters of type ComputedColumn
Modifier and Type
Method
Description
`ComputedColumnHandle`
GroupHandle.`addColumnBinding(ComputedColumn addColumn, boolean inForce)`
Deprecated.
since BIRT 2.1 RC2
`ComputedColumnHandle`
ReportItemHandleImpl.`addColumnBinding(ComputedColumn addColumn, boolean inForce)`
Adds a bound column to the list.
`ComputedColumnHandle`
ScalarParameterHandle.`addColumnBinding(ComputedColumn addColumn, boolean inForce)`
Adds a bound column to the list.
`static void`
StructureFactory.`makeUniqueNameComputedColumn(DesignElementHandle element, ComputedColumn newColumn)`
Makes a unique name for computed column.

## Uses of ComputedColumn in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl with parameters of type ComputedColumn
Modifier and Type
Method
Description
`IDataBinding`
SimpleElementFactory.`createDataBinding(ComputedColumn column)`

## Uses of ComputedColumn in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi with parameters of type ComputedColumn
Modifier and Type
Method
Description
`IDataBinding`
ISimpleElementFactory.`createDataBinding(ComputedColumn column)`
Creates the data biinding structure.

## Uses of ComputedColumn in org.eclipse.birt.report.model.api.util

Methods in org.eclipse.birt.report.model.api.util with parameters of type ComputedColumn
Modifier and Type
Method
Description
`static ComputedColumnHandle`
ColumnBindingUtil.`addColumnBinding(ReportItemHandle handle, ComputedColumn column)`
Binds a column to the given element.

## Uses of ComputedColumn in org.eclipse.birt.report.model.api.validators

Methods in org.eclipse.birt.report.model.api.validators that return ComputedColumn
Modifier and Type
Method
Description
`static ComputedColumn`
DataColumnNameValidator.`getColumn(List columns, String name)`
Gets the column with the given expression bound the given list.